Open CASCADE Technology: IntCurve_PConicTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
IntCurve_PConicTool Class Reference

Implementation of the ParTool from IntImpParGen for conics of gp, using the class PConic from IntCurve. More...

`#include <IntCurve_PConicTool.hxx>`

## Static Public Member Functions
static Standard_Real | EpsX (const IntCurve_PConic &C)
static Standard_Integer | NbSamples (const IntCurve_PConic &C)
static Standard_Integer | NbSamples (const IntCurve_PConic &C, const Standard_Real U0, const Standard_Real U1)
static gp_Pnt2d | Value (const IntCurve_PConic &C, const Standard_Real X)
static void | D1 (const IntCurve_PConic &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &T)
static void | D2 (const IntCurve_PConic &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &T, gp_Vec2d &N)

## Detailed Description

Implementation of the ParTool from IntImpParGen for conics of gp, using the class PConic from IntCurve.

## Member Function Documentation

static void IntCurve_PConicTool::D1 | ( | const IntCurve_PConic & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | T
| ) |  |
| static

static void IntCurve_PConicTool::D2 | ( | const IntCurve_PConic & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | T,
|  | gp_Vec2d & | N
| ) |  |
| static

static Standard_Real IntCurve_PConicTool::EpsX | ( | const IntCurve_PConic & | C | ) |
| static

static Standard_Integer IntCurve_PConicTool::NbSamples | ( | const IntCurve_PConic & | C | ) |
| static

static Standard_Integer IntCurve_PConicTool::NbSamples | ( | const IntCurve_PConic & | C,
|  | const Standard_Real | U0,
|  | const Standard_Real | U1
| ) |  |
| static

static gp_Pnt2d IntCurve_PConicTool::Value | ( | const IntCurve_PConic & | C,
|  | const Standard_Real | X
| ) |  |
| static

The documentation for this class was generated from the following file:

- IntCurve_PConicTool.hxx